Bug 490198 - F10: preupgrade: anaconda failure to upgrade F10 to Rawhide with LUKS/LVM partition
F10: preupgrade: anaconda failure to upgrade F10 to Rawhide with LUKS/LVM par...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 15:02 EDT by Eric Maryniak
Modified: 2009-05-12 12:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-13 18:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda dump file (71.68 KB, text/plain)
2009-03-13 15:02 EDT, Eric Maryniak
no flags Details
Preupgrade Anaconda log file (66.40 KB, text/plain)
2009-05-12 11:25 EDT, Jamie Anderson
no flags Details

  None (edit)
Description Eric Maryniak 2009-03-13 15:02:53 EDT
Created attachment 335145 [details]
Anaconda dump file

Description of problem:
Using 'preupgrade' on an up-to-date F10 (2009-03-13) to upgrade to Rawhide failed.
Attached 'anacdump.txt'.
Standard setup with LUKS encrypted LVM (setup see Additional info).
Bug may be related to bug #453322.

Version-Release number of selected component (if applicable):
- preupgrade-1.0.1-1.fc10

How reproducible:
Every time. Fortunately the original boot entry/image is still present and works :-)

Steps to Reproduce:
1. Install F10, yum update
2. Run preupgrade, update to Rawhide
3. Reboot, select 'Update to Rawhide' in grub
  
Actual results:
Anaconda reports failure, see attached 'anacdump.txt' which I managed to save to an usb stick (ctrl-alt-f2, mounted usb stick and saved this file).
Btw. anaconda was not able to 'save to local storage' (which it provides as an option).

Expected results:
A successful mount of LUKS encrypted LVM and subsequent update to Rawhide.

Additional info:
Note '/boot' on non-encrypted /dev/sda5 and LUKS encrypted LVM on sda6:

# fdisk -l /dev/sda
...
/dev/sda5   *        3836        3861      208813+  83  Linux
/dev/sda6            3862        6720    22964886   8e  Linux LVM
...

root@localhost:~ # df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vg0-lv0    20G   13G  6.5G  66% /
/dev/sda5             198M  136M   52M  73% /boot
...

# mount                                                                
/dev/mapper/vg0-lv0 on / type ext3 (rw)
...
/dev/sda5 on /boot type ext3 (rw)
...

# ls -l /dev/dm-* /dev/mapper/*
brw-rw---- 1 root disk 253,  0 2009-03-13 20:25 /dev/dm-0
brw-rw---- 1 root disk 253,  1 2009-03-13 20:25 /dev/dm-1
brw-rw---- 1 root disk 253,  2 2009-03-13 20:25 /dev/dm-2
crw-rw---- 1 root root  10, 63 2009-03-13 20:24 /dev/mapper/control
brw-rw---- 1 root disk 253,  0 2009-03-13 20:25 /dev/mapper/luks-103fe933-a265-41e9-8886-94129392ac60
brw-rw---- 1 root disk 253,  1 2009-03-13 19:25 /dev/mapper/vg0-lv0
brw-rw---- 1 root disk 253,  2 2009-03-13 20:25 /dev/mapper/vg0-lv1

# vgdisplay -v
    Finding all volume groups  
    Finding volume group "vg0" 
  --- Volume group ---         
  VG Name               vg0    
  System ID                    
  Format                lvm2   
  Metadata Areas        1      
  Metadata Sequence No  3      
  VG Access             read/write
  VG Status             resizable 
  MAX LV                0         
  Cur LV                2         
  Open LV               2         
  Max PV                0         
  Cur PV                1         
  Act PV                1         
  VG Size               21.88 GB  
  PE Size               32.00 MB  
  Total PE              700       
  Alloc PE / Size       699 / 21.84 GB
  Free  PE / Size       1 / 32.00 MB  
  VG UUID               1flYlk-f4HI-lhNl-d55f-DUjt-WhPk-IWI0AZ
                                                              
  --- Logical volume ---                                      
  LV Name                /dev/vg0/lv0                         
  VG Name                vg0                                  
  LV UUID                VX33ch-WFWg-JWFP-Da6z-1zO8-I9Sa-Xwog4b
  LV Write Access        read/write                            
  LV Status              available                             
  # open                 1                                     
  LV Size                19.84 GB                              
  Current LE             635                                   
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:1

  --- Logical volume ---
  LV Name                /dev/vg0/lv1
  VG Name                vg0
  LV UUID                g7d0r0-CUVr-holc-hxJp-7Jd4-Yjj9-B1IbP7
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                2.00 GB
  Current LE             64
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:2

  --- Physical volumes ---
  PV Name               /dev/dm-0
  PV UUID               n3djs5-AP27-FppA-7Blc-MngS-GaX8-CpmAfv
  PV Status             allocatable
  Total PE / Free PE    700 / 1

root@localhost:~ #_
Comment 1 Eric Maryniak 2009-03-13 15:53:36 EDT
I forgot to mention: the dump was '/tmp/anacdump.txt'.
The anaconda messages ("self.__luksDevs[device.format.uuid] = device.format.__passphrase" and "AttributeError: 'LUKS' object has no attribute '_Storage__passphrase'") seem to suggest that there is no passphrase.
This is not the case: there is a passphrase and I very carefully -- and repeatedly -- made sure I typed it in correctly (and saw '*').
I noted, however, that the anaconda cursor remained an hourglass.

Are 'dm' and 'aes' kernel modules loaded correctly?

I have no trouble mounting /dev/sda6 by hand with a rescue cd (e.g. www.sysresccd.org):

# mkdir /sda6
# cryptsetup -v luksOpen /dev/sda6 sda6
... enter passphrase
# ( not necessary but sometimes mentioned: dmsetup mknodes)
# vgscan -v --ignorelockingfailure
# vgchange -a y --ignorelockingfailure
# ls -lrt /dev/dm-*
lrwxrwxrwx 1 root root 11 2009-02-22 13:48 /dev/dm-0 -> mapper/sda6
lrwxrwxrwx 1 root root 14 2009-02-22 13:51 /dev/dm-1 -> mapper/vg0-lv0
lrwxrwxrwx 1 root root 14 2009-02-22 13:51 /dev/dm-2 -> mapper/vg0-lv1
# mount -v -t ext3 /dev/mapper/vg0-lv0 /sda5
... /sda5 is accessible and ok

# umount -v /dev/mapper/vg0-lv0
# vgchange -a n --ignorelockingfailure
# cryptsetup luksClose sda6
# vgdisplay -v
... shows no more vg's/lv's
#_
Comment 2 David Lehman 2009-03-13 18:44:30 EDT
This should be fixed in anaconda-11.5.0.30-1. Thanks for the bug report.
Comment 3 Jamie Anderson 2009-05-12 11:24:25 EDT
I appear to be having the same problem with anaconda 11.5.0.51, but I am never even prompted for a LUKS passphrase. Attaching anaconda log file.
Comment 4 Jamie Anderson 2009-05-12 11:25:10 EDT
Created attachment 343596 [details]
Preupgrade Anaconda log file
Comment 5 David Lehman 2009-05-12 11:56:07 EDT
(In reply to comment #3)
> I appear to be having the same problem with anaconda 11.5.0.51, but I am never
> even prompted for a LUKS passphrase. Attaching anaconda log file.  

This bug is against F10, not F11. What you are seeing is bug 499321, which should be fixed in rawhide within a day or two.
Comment 6 Jamie Anderson 2009-05-12 12:08:14 EDT
Apologies

Note You need to log in before you can comment on or make changes to this bug.